\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Monotone and Sorted Matrix Search

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
BasicMatrix Concept Reference
Concepts

## Definition

A class `BasicMatrix` has to provide the following types and operations in order to be a model for `BasicMatrix`.

Has Models:
  `CGAL::Dynamic_matrix<M>`

See Also
  `MonotoneMatrixSearchTraits`
  `SortedMatrixSearchTraits`

## Types
typedef unspecified_type | Value
| The type of a matrix entry. More...

## Operations
int | number_of_columns () const
| returns the number of columns.
int | number_of_rows () const
| returns the number of rows.
Entry | operator() (int row, int column) const
| returns the entry at position (`row`, `column`). More...

## Member Typedef Documentation

typedef unspecified_type BasicMatrix::Value

The type of a matrix entry.

It has to define a copy constructor.

## Member Function Documentation

Entry BasicMatrix::operator() | ( | int | row,
|  | int | column
| ) |  | const

returns the entry at position (`row`, `column`).

Precondition
  \( 0 \le\) `row` \( <\) `number_of_rows()`, and \( 0 \le\) `column` \( <\) `number_of_columns()`.